Subject: Re: copy registry settings win98->xp all->user
From: Tzafrir Cohen <[email-masked]>
To: [email-masked]
Date: 06 Jun 2002 17:13:35 +0300
Newsgroups: gmane.os.cygwin

"Larry Hall (RFK Partners, Inc)" <[email-masked]> writes:

> What exactly led you to the conclusion that the best approach to setting up
> mounts on the XP system was to copy registry settings from the 98 machine?
> Get rid of the registry entries you've created this way and just use 'mount'
> to set up mount points like the ones you have on the 98 machine.  It's allot
> simpler and requires no explicit registry manipulations.
> 

The thing that led me to do that is past experience with explicit mounts.

The problem is what happens if I run the script twice. I don't understand 
exactly what happens there, but I know that I got errors about "mount point
busy" and such.

Anyway, this is what I currently did. My current cygwin.bat:

set HOME=p:\
set LOGNAME=tzafrir
n:\bin\mount n:/ /
n:\bin\mount p:/tmp /tmp
n:\bin\bash --login -i

Probably could be improved, but it sort-of works for the moment. I sort-of got 
and X server&ssh up-and-running. 

I still only consider it sort-of works, as I currently have many problems.

For instance, 'startx' doesn't work, due to some X authorization problem.
Maybe because mcooky is missing. And I still have to create /home/tzafrir
so I can mount my home directory on it.

-- 
Tzafrir Cohen
http://www.gadot.org.il/tzafrir/

It has just been discovered that research causes cancer in rats.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/